List Conversion
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/conversion \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/conversion"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/conversion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/conversion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/conversion"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/conversion")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/conversion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_name": "UQPAY PTE LTD",
"conversion_id": "55572797-c0f9-4305-82bd-02c49472ad6d",
"short_reference_id": "XC260811-STXNMFAE",
"creator": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"client_rate": "1.269859",
"buy_amount": "126.98",
"buy_currency": "SGD",
"sell_amount": "100",
"sell_currency": "USD",
"create_time": "2026-08-11T20:11:02.257+08:00",
"settle_time": "2026-08-11T20:13:20.525311146+08:00",
"conversion_status": "TRADE_SETTLED"
}
],
"total_items": 100,
"total_pages": 100
}Conversion
List Conversion
List currency conversions with pagination. Use a returned conversion ID to retrieve one conversion and inspect its result.
GET
/
v1
/
conversion
List Conversion
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/conversion \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/conversion"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/conversion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/conversion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/conversion"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/conversion")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/conversion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_name": "UQPAY PTE LTD",
"conversion_id": "55572797-c0f9-4305-82bd-02c49472ad6d",
"short_reference_id": "XC260811-STXNMFAE",
"creator": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"client_rate": "1.269859",
"buy_amount": "126.98",
"buy_currency": "SGD",
"sell_amount": "100",
"sell_currency": "USD",
"create_time": "2026-08-11T20:11:02.257+08:00",
"settle_time": "2026-08-11T20:13:20.525311146+08:00",
"conversion_status": "TRADE_SETTLED"
}
],
"total_items": 100,
"total_pages": 100
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The maximum number of items to return per page. Must be between 1 and 100, inclusive.
Required range:
1 <= x <= 100Example:
10
The page number to retrieve a specific set of items. Must be 1 or greater.
Required range:
x >= 1Example:
1

